@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S %0 %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
if errorlevel 1 goto script_failed_so_exit_with_non_zero_val 2>nul
goto endofperl
@rem ';
#!/usr/bin/perl
#line 15

# Compares a tokenized view of two RTF files

use strict;
use RTF::Tokenizer 1.01;
use Text::Diff;

my $first_file = pretty_print( $ARGV[0] );
my $second_file = pretty_print( $ARGV[1] );

print diff \$first_file, \$second_file;

sub pretty_print {

	my $filename = shift;
	my $output;

	my $tokenizer = RTF::Tokenizer->new( file => $filename );

	while (1) {

		my ( $type, $token, $argument ) = $tokenizer->get_token();

		last if $type eq 'eof';

		$argument =~ s/\n/[n]/g;
		$argument =~ s/\t/[t]/g;
		$argument =~ s/\r/[r]/g;

		$output .= "($type) $token $argument\n";

	}

	return $output;

}


__END__
:endofperl
